﻿:root {
    --fab-scale: 56px;
}

/* FULLSCREEN MODE */
.main-content.fullscreen-mode {
    padding: 0 !important;
    margin: 0 !important;
    height: 100vh;
    max-height: 100vh;
    overflow: hidden;
}

/* REMOVE DARTS BLINKER */
.bg-remove-darts-content {
    background-color: #424446;
}

.blink {
    animation: blinker 2s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

/* FAB */
.fab-trigger-button {
    display: none;
}

.fab-trigger-button + label {
    cursor: pointer;
    position: absolute;
    right: 16px;
    bottom: 16px;
    background-color: var(--primary-red);
    height: var(--fab-scale);
    width: var(--fab-scale);
    border-radius: 50%;
    z-index: 2;
}

.fab-trigger-button + label:before, .fab-trigger-button + label:after {
    position: absolute;
    content: '';
    height: calc(var(--fab-scale) / 2 );
    width: 4px;
    background-color: #fff;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    border-radius: 8px;
    transition: all .25s;
}

.fab-trigger-button + label:before {
    height: calc(var(--fab-scale) / 2 );
    width: 4px;
}

.fab-trigger-button + label:after {
    width: calc(var(--fab-scale) / 2 );
    height: 4px;
}

.fab-trigger-button:checked + label:before {
    transform: rotateZ(-45deg);
}

.fab-trigger-button:checked + label:after {
    transform: rotateZ(-45deg);
}

.one, .two, .three {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    position: absolute;
    right: 16px;
    bottom: 16px;
    padding: 0;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    opacity: 0;
    z-index: 1;
    transform: rotateZ(90deg);
    font-size: 16px;
    color: #fff;
    transition-property: all;
    transition-duration: .35s;
    transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.one i, .two i, .three i {
    font-size: 24px;
    line-height: 0;
    display: inline-block;
    margin-right: 2px;
}

.fab-trigger-button:checked ~ .one, .fab-trigger-button:checked ~ .two, .fab-trigger-button:checked ~ .three {
    opacity: 1;
}

.fab-trigger-button:checked ~ .one {
    background-color: var(--primary-red);
    transform: translateX(-80px);
    transition-delay: .2s;
}

.fab-trigger-button:checked ~ .two {
    background-color: var(--primary-red);
    transform: translateX(-56px) translateY(-56px);
    transition-delay: .1s;
}

.fab-trigger-button:checked ~ .three {
    background-color: var(--primary-red);
    transform: translateY(-80px);
}

.fab-trigger-button:checked ~ .one:hover, .fab-trigger-button:checked ~ .two:hover, .fab-trigger-button:checked ~ .three:hover {
    opacity: .9;
}